<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Servicio;

class ServicioController extends Controller
{
    public function index(Request $request) 
    {
        $filtro = $request->get('filtro');
        $paginar = $request->get('paginar') === 'true';

        $servicios = Servicio::orderBy('id', 'ASC')
            ->orWhere('nombre', 'LIKE', '%'.$filtro.'%');

        if ($paginar) 
        {
            $servicios = $servicios->paginate(5);
            $paginacion =
            [
                'total'         => $servicios->total(),
                'pagina_actual' => $servicios->currentPage(),
                'por_pagina'    => $servicios->perPage(),
                'ultima_pagina' => $servicios->lastPage(),
                'desde'         => $servicios->firstItem(),
                'hasta'         => $servicios->lastItem(),
            ];
        }
        else {
            $servicios = $servicios->get();
            $paginacion = [];
        }

        return [
            'paginacion' => $paginacion,
            'servicios' => $servicios
        ];
    }
}
